// Package 
package gov.va.med.esr.ui.person.beans;

// Imports

/**
 * Meta data UI Row Information for the Person Merge screens.
 *
 * @author Andrew Pach
 * @version 3.0
 */
public interface PersonMergeRowInfoMetaData
{
    public String getFieldStyle();
    public String getDataStyle();
    public String getFieldMessageKey();
    public String getGroupFieldMessageKey();
    public boolean isSelectable();
    public boolean isSingleSelect();
    public String getFieldName();
    public String getFieldProperty();
    public boolean isParentRow();
    public boolean getHighlightDifferences();
    public boolean getDisplayField();
    public String getMergeMethodName();
    public String getMergeProperty();
    public String getFieldPropertyHelperMethod();
    public String getFieldNamePrefix();
}
